DID Routing

Create DID

Register a new incoming phone number (DID) with a telephony provider.

POST
/dids

Register a new incoming phone number (DID) with a telephony provider.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/dids" \  -H "Content-Type: application/json" \  -d '{    "didNumber": "+18445551234",    "provider": "voicelink",    "bearerToken": "vl_xxx",    "isDefault": false,    "clientId": "AC123"  }'
{  "id": "string",  "didNumber": "string",  "provider": "string",  "isDefault": true,  "updatedAt": "string"}
{  "statusCode": 400,  "message": [    "name should not be empty"  ],  "error": "Bad Request"}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}